﻿#ifndef __OPEN_AVD_N2M_MessageItem_H__
#define __OPEN_AVD_N2M_MessageItem_H__

#include "ListItemBase.h"

class CAutoLabel;
class CButton1;
class CChatMessageOtherItem : public CListItemBase
{
public:
	Q_OBJECT
public:
	 CChatMessageOtherItem(QWidget* parent, const QString sender, const QString msg);
	~CChatMessageOtherItem();
protected:
	void resizeEvent(QResizeEvent *event);
	void pain();
	void InitTextLabel();
protected slots:
	void ItemRectChange(int id, QRect rect);
public:
	QString			_msg;
	QString			_user_name;
	CAutoLabel*		_textLabel;
	CButton1* _header;
	int textHeight;
	int textWidth;
private:

};

class CChatMessageSelfItem : public CListItemBase
{
public:
	Q_OBJECT
public:
	 CChatMessageSelfItem(QWidget* parent, const QString sender, const QString msg);
	~CChatMessageSelfItem();
protected:
	void resizeEvent(QResizeEvent *event);
	void pain();
	void InitTextLabel();
protected slots:
	void ItemRectChange(int id, QRect rect);
public:
	QString			_msg;
	QString			_sender;
	CAutoLabel*		_textLabel;
	CButton1* _header;
	int textHeight;
	int textWidth;
};

void PainBubule(QPainter &dc, QImage& image, int top, int right, int left, int bottom, QRect& rect);

#endif //__OPEN_AVD_N2M_MessageItem_H__
