#ifndef _INVITE_LINK_WND_H_
#define _INVITE_LINK_WND_H_
#include "RoundRadiusWnd.h"
#include "WidgetSizer.h"

class CTextButton1;
class CButton2;

class CInviteLinkWnd : public CRoundRadiusWnd, public CWidgetSizer<CInviteLinkWnd>
{
public:
	Q_OBJECT
public:
	CInviteLinkWnd(QWidget* parent);
	~CInviteLinkWnd();
	void SetRoomId(const QString roomId);
	protected slots:
	void setClipboard();
	void hideWnd();

protected:
	void paintEvent(QPaintEvent *event);
	void resizeEvent(QResizeEvent* event);
private:
	QString _inviteLink;

	CTextButton1*	_copy_link_btn;
	CButton2*		_close_btn;
	QString _roomId;
};
#endif