﻿
#include "ModalWindowManager.h"

CModalWindowManager* g_modal_window_manager = NULL;

CModalWindowManager* GetModalWindowManager()
{
	if (g_modal_window_manager == NULL)
	{
		g_modal_window_manager = new CModalWindowManager();
	}

	return g_modal_window_manager;
}

void CModalWindowManager::AddWidget(QDialog* widget)
{
	_widgets.insert(widget);
}

void CModalWindowManager::Remove(QDialog* widget)
{
	_widgets.erase(widget);
}

void CModalWindowManager::CloseAll()
{
	set<QDialog*>::iterator iter = _widgets.begin();
	for (; iter != _widgets.end(); ++iter)
	{
		(*iter)->reject();
	}
}